---
lang: en
title: 'API docs: context.contextview.singlevalue'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contextview.singlevalue.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextView](./context.contextview.md) &gt; [singleValue](./context.contextview.singlevalue.md)

## ContextView.singleValue() method

Get the single value

<b>Signature:</b>

```typescript
singleValue(session?: ResolutionOptionsOrSession): Promise<T | undefined>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  session | [ResolutionOptionsOrSession](./context.resolutionoptionsorsession.md) | <i>(Optional)</i> |

<b>Returns:</b>

Promise&lt;T \| undefined&gt;


